Bug 126221 - could not open default font 'fixed'
could not open default font 'fixed'
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-06-17 14:20 EDT by Brian Clark
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-06 00:21:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
message Log (38.82 KB, text/plain)
2004-06-17 14:34 EDT, Brian Clark
no flags Details
Xfree 86 Config File (3.83 KB, text/plain)
2004-06-17 14:37 EDT, Brian Clark
no flags Details
Xfree86 Log (34.97 KB, text/plain)
2004-06-17 14:39 EDT, Brian Clark
no flags Details

  None (edit)
Description Brian Clark 2004-06-17 14:20:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
When I run startx from command line the screen goes black for about 
30 seconds then it exits.

It was working fine yesterday.  I did install openoffice yesterday 
and restarted my computer today.  Since I have been unable to start X.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. init 3
2. startx

Added openoffice after installation using rpm.    

Actual Results:  got X log to screen

Expected Results:  Startx startin

Additional info:
Comment 1 Brian Clark 2004-06-17 14:34:37 EDT
Created attachment 101221 [details]
message Log
Comment 2 Brian Clark 2004-06-17 14:37:31 EDT
Created attachment 101222 [details]
Xfree 86 Config File
Comment 3 Brian Clark 2004-06-17 14:39:52 EDT
Created attachment 101223 [details]
Xfree86 Log
Comment 4 Mike A. Harris 2004-07-06 00:21:22 EDT
This is a misconfiguration problem on your system in the core
fonts subsystem.  The error message you are seeing is a very highly
frequently reported error message, however it does not indicate
a bug in the X server or applications, but rather it indicates
a font misconfiguration on your system.  Sometimes these problems
are caused accidentally by installing fonts by hand, and other
times problems can be caused by incorrect file or directory
permissions or ownership, or a variety of other reasons.

According to your X server log, it is unable to connect to the
xfs font server socket.  This means the xfs font server isn't
running, so it is unable to access core X11 fonts that are
required in order for the server to properly start (cursor, fixed).

Make sure that xfs is configured properly and configured to start
at bootup time.  Also make sure it is running currenty, and that
there is plenty of space available in partition that /tmp writes to.
If /tmp is full or near full when xfs tries to start up, then
the xfs server can't create it's socket.

Another possibility is that openoffice incorrectly installed
fonts into a fontpath and damaged the font metadata files which
are required for xfs to work properly.  Rebooting your computer
or restarting the xfs server should fix that in most cases, as
our xfs initscript tries to reconstruct the metadata files as
best it can.  If it doesn't automatically solve the problem
however, you'll need to troubleshoot your font configuration
manually in order to resolve the problem.

If you still have difficulty getting things working again, you
may wish to subscribe to the fedora-list or xfree86-list Red Hat
mailing lists for technical support.  X.Org and XFree86 mailing
lists are also quite helpful for working out these types of
configuration issues, as well as searching for the error message
on the Google search engine.

Best wishes.

Setting status to "NOTABUG"

Note You need to log in before you can comment on or make changes to this bug.